<?php
/**
 * @package LocationsAndAreasPlugin
 */

namespace LocationsAndAreasPlugin\Base;

class BaseController
{
    public $plugin_path;
    public $plugin_url;
    public $plugin_version;
    public $plugin;

    public $map_styles = array(
        "Stamen.TonerLite" => "TonerLite (Stamen)",
        "Esri.WorldStreetMap" => "WorldStreetMap (Esri)",
        "OpenStreetMap.Mapnik" => "Mapnik (OpenStreetMap)",
        "CartoDB.DarkMatter" => "DarkMatter (CartoDB)",
        "CartoDB.Positron" => "Positron (CartoDB)",
    );

    public $pro_map_styles = array(
        "Custom1" => "Light with big labels",
        "Custom2" => "Purple Glow with big labels",
        "Custom3" => "Blue with big labels"
    );

    public $marker_icons = array(
        "default", "custom1"
    );

    public $pro_marker_icons = array(
        "custom2", "custom3", "custom4"
    );

    public function __construct()
    {
        $this->plugin_path = plugin_dir_path(dirname(dirname(__FILE__)));
        $this->plugin_url = plugin_dir_url(dirname(dirname(__FILE__)));
        $this->plugin_version = get_file_data(dirname(dirname(dirname(__FILE__))) . '/locations-and-areas.php', array('Version' => 'Version'))['Version'];
        $this->plugin = plugin_basename(dirname(dirname(dirname(__FILE__)))) . '/locations-and-areas.php';
    }
}
